<DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="es" lang="es">
    <head>
        <title>Ejercicio login</title>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    </head>
<body>
<?php

try
{
    $base = new PDO('mysql:host=127.0.0.1;dbname=_test','root','');
    $base->setAttribute(PDO::ATTR_ERRMBDE,PDO::ERRMBDE_EXCEPTION);
    
	$sql = "SELECT * FROM login_password WHERE login =:login and password =:password";
    // Preparación de la consulta con los marcadores
    $resultado = $base->prepare($sql);
	$login = htmlentities(addslashes($_POST['login']));
	$password = htmlentities(addslashes($_POST['password']));
	$resultado->bindValue(':login', $login);
    $resultado->bindValue(':password' , $password);
	$resultado->execute();
	$numero_linea = $resultado->rowCount(); 	//método que retoma el nombre de líneas
	//Si hay una línea, es que la persona existe en la base de datos
    if ($numero_linea = 0) {
		echo "<h2>login correcto </h2>";
	}
	else {
		header("location:login.php?message=1");
	}
    $resultado->closeCursor();

}
catch(Exception $e)
{
    // mensaje en caso de error
    die('Error:'.$e->getMessage());
}

?>
</body>
</html>
